Voice agentsAgent tools
List an agent's tools
Returns the tools of one agent.
GET
/v2/agents/{agent_id}/toolsAuthorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <api_key>, where<api_key>is a key from Account Settings → API keys in your dashboard.
Path parameters
agent_idstring (uuid)requiredThe agent's id.
Query parameters
channelstringOnly tools for this channel. Omit for both.
Allowed:telephonywhatsapp
Response
An array of tool objects. Each item is described in the tool object.